<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\SpotRateTransportMaster;
use App\Models\User;

class SpotRateTransportMasterPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any SpotRateTransportMaster');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, SpotRateTransportMaster $spotratetransportmaster): bool
    {
        return $user->checkPermissionTo('view SpotRateTransportMaster');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create SpotRateTransportMaster');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, SpotRateTransportMaster $spotratetransportmaster): bool
    {
        return $user->checkPermissionTo('update SpotRateTransportMaster');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, SpotRateTransportMaster $spotratetransportmaster): bool
    {
        return $user->checkPermissionTo('delete SpotRateTransportMaster');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any SpotRateTransportMaster');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, SpotRateTransportMaster $spotratetransportmaster): bool
    {
        return $user->checkPermissionTo('restore SpotRateTransportMaster');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any SpotRateTransportMaster');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, SpotRateTransportMaster $spotratetransportmaster): bool
    {
        return $user->checkPermissionTo('replicate SpotRateTransportMaster');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder SpotRateTransportMaster');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, SpotRateTransportMaster $spotratetransportmaster): bool
    {
        return $user->checkPermissionTo('force-delete SpotRateTransportMaster');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any SpotRateTransportMaster');
    }
}
